import os
from setuptools import setup, find_packages


def package_files(directory):
    paths = []
    for path, directories, filenames in os.walk(directory):
        for filename in filenames:
            paths.append(os.path.join("..", path, filename))
    return paths


extra_files = package_files("neuquet/public_html")

setup(
    name="neuquet",
    version="0.1",
    packages=["neuquet"],
    package_data={"": extra_files},
    entry_points={
        "console_scripts": [
            "neuquet=neuquet.server:main",
        ],
    },
    install_requires=[
        "blinker==1.7.0",
        "click==8.1.7",
        "Flask==3.0.0",
        "Flask-Cors==4.0.0",
        "itsdangerous==2.1.2",
        "Jinja2==3.1.2",
        "MarkupSafe==2.1.3",
        "Werkzeug==3.0.1",
    ],
    include_package_data=True,
)
